Skip to main content

Share payment bundle alone with procedures of the patient

Share payment bundle alone with procedures of the patient. The HIP will sent the payment bundle to HIU.

POST/api/hiecm/scan-gateway/v3/patient/on-selection

<ol type='1'> <li> <b>Header</b> <ol type='a'> <br/> <li>AUTHORIZATION will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: Bearer <TOKEN> ]</li><li>REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]</li> <li>TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]</li> <li>X-CM-ID consent manager ID[ Example: sbx ]</li> </ol> </li> <br/> <li> <b>Request Body</b> <ol type='a'><br/> <li>intent This is a key value pair which contains the purpose [ Example: type: PAYMENT_ORDER ]</li> <li>openOrderRequestId from the share open order requestId [ Example: 059fcb69-****-4789-a049-62db16c7b5a0 ]</li> <li>abhaAddress of the user/patient</li> <li>error is optional object in case of any error or Failure then only send error object</li> <li>Procedures which contains the list of open order</li> <li>paymentBundle which contains payments details</li><li>response which contains the requestId [ Example: requestId: 059fcb69-8ad8-4789-a049-62db16c7b5a0 ]</li></ol> </ol>

Authorizations

Authorizationbearer tokenRequired

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds.

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

Responses

401

Unauthorized

Everything returns 401

429

Too Many Requests

Error codes for this module

500

Internal Server Error

Error codes for this module

503

Service Unavailable

Error codes for this module